<main class="container-fluid">

    <div class="bg-profile pt-4">
        <div class="container cover-user">
            <img src="/images/avatar.png"/>
        </div>

        <div class="container body-user">
            <div class="row">
                <div class="col-md-12">
                    <h1 class="text-center"><%= title %></h1>
                </div>

                <div class="col-12">
                    <nav class="nav-profile" >
                        <div class="nav nav-tabs" id="nav-tab" role="tablist">
                            <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Obras de arte publicadas</a>
                            
                            <% if (user.rol !== 'admin') { %> 
                            <a id="openModalAdd" type="button" class="nav-item nav-link ml-auto" data-toggle="modal" data-target="#modalAddArtwork">
                                <i class="fas fa-plus-square mr-2"></i> Agregar obra de arte
                            </a>
                            <% } %>
                        </div>
                    </nav>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="modalAddArtwork" tabindex="-1" role="dialog" aria-labelledby="modalAddArtworkTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalAddArtworkTitle">Agregar obra de arte</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <form id="formCreateArtwork" method="POST" enctype="multipart/form-data">

                        <div class="form-group">
                            <label class="sr-only" for="artist_user_username">Autor de la obra de arte</label>
                            <input type="text" id="artist_user_username" class="form-control d-none" readonly name="artist_user_username" placeholder="Nombre de usuario" value="<%= user.username %>" required>
                        </div>

                        <div class="row mb-4">
                            <div class="col-md-5">
                                <img id="preview-img" src="/images/img-default.jpg" alt="Image artwork" class="img-fluid preview-img"/>
                            </div>

                            <div class="col-md-7">
                                <div class="form-group">
                                    <label class="sr-only" for="title">Nombre de la obra</label>
                                    <input type="text" id="title" class="form-control" name="title" placeholder="Nombre de la obra de arte" required autofocus>
                                </div>

                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" name="image" id="image" required>
                                    <label class="custom-file-label" for="image" data-browse="Examinar">Seleccionar imagen</label>
                                </div>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="form-group col">
                                <label class="sr-only" for="price">Precio</label>
                                <input type="text" id="price" class="form-control" name="price" placeholder="Precio" required>
                            </div>

                            <div class="form-group col">
                                <label class="sr-only" for="stock">Stock</label>
                                <input type="text" id="stock" class="form-control" name="stock" placeholder="Stock" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="sr-only" for="doc">Descripción de la obra de arte</label>
                            <textarea name="description" id="description" class="form-control" placeholder="Descripción"></textarea>
                        </div>
                        
                        <hr>
                        <div class="row">
                            <div class="col">
                                <button type="button" class="btn btn-secondary btn-block mt-0" data-dismiss="modal">Cancelar</button>
                            </div>

                            <div class="col">
                                <button id="btnCreateArtwork" type="submit" class="btn btn-primary btn-block mt-0">Guardar</button>
                                <button id="btnEditArtwork" type="submit" class="btn btn-primary btn-block mt-0">Guardar cambios</button>
                            </div>
                        </div>
                    </form>
                </div>
                
            </div>
        </div>
    </div>

    <!-- Modal -->
    <!-- <div class="modal fade" id="modalEditArtwork" tabindex="-1" role="dialog" aria-labelledby="modalEditArtworkTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalEditArtworkTitle">Editar obra de arte</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="fas fa-times"></i>
                    </button>
                </div>

                <div class="modal-body">
                    <form id="formEditArtwork" action="/api/artwork/edit/" method="POST">

                        <div class="form-group">
                            <label class="sr-only" for="artist_user_username">Autor de la obra de arte</label>
                            <input type="text" id="artist_user_username" class="form-control d-none" readonly name="artist_user_username" placeholder="Nombre de usuario" value="<%= user.username %>" required>

                            <input type="text" id="idartwork" class="form-control d-none" readonly name="idartwork" required>
                        </div>

                        <div class="form-row">

                            <div class="form-group col">
                                <label class="sr-only" for="title">Nombre de la obra</label>
                                <input type="text" id="title" class="form-control" name="title" placeholder="Nombre de la obra de arte" required autofocus>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="form-group col">
                                <label class="sr-only" for="price">Precio</label>
                                <input type="text" id="price" class="form-control" name="price" placeholder="Precio" required>
                            </div>

                            <div class="form-group col">
                                <label class="sr-only" for="stock">Stock</label>
                                <input type="text" id="stock" class="form-control" name="stock" placeholder="Stock" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="sr-only" for="description">Descripción de la obra de arte</label>
                            <textarea name="description" id="description" class="form-control" placeholder="Descripción"></textarea>
                        </div>

                        <div id="modalArtistFields"></div>

                        <hr>

                        <div class="row">
                            <div class="col">
                                <button type="button" class="btn btn-secondary btn-block" data-dismiss="modal">Cancelar</button>
                            </div>

                            <div class="col">
                                <button id="btnEditArtwork" type="submit" class="btn btn-primary btn-block">Guardar cambios</button>
                            </div>
                        </div>
                    </form>
                </div>
                
            </div>
        </div>
    </div> -->

    <div class="container mb-5 ">
        <div class="row">
            
            <div class="col-md-12">
                
                <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade show active py-3" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                        <div class="row">
                            <% artworks.forEach(function(artwork){ %>
                                <div class="col-12 col-sm-6 col-md-4 col-lg-3">
                                    <div class="card mb-4">
                                        <% if (artwork.image) { %> 
                                        <img src="<%= artwork.image %>" class="card-img-top" alt="Logotipo">
                                        <% } else { %>
                                        <img src="/images/img-default.jpg" class="card-img-top" alt="Logotipo">
                                        <% } %>
                                        <div class="card-body text-center">
                                            <h5 class="card-title"><%= artwork.title %></h5>
                                            <p class="card-text">$<%= artwork.price.toFixed(2).padStart(5,'0') %></p>

                                            <div class="btn-group">
                                                <button type="button" class="btn btn-sm btn-outline-primary openModalEdit" data-toggle="modal" data-target="#modalAddArtwork" data-idartwork="<%= artwork.idartwork %>">
                                                    <i class="fas fa-edit mx-1"></i>
                                                </button>
                                                
                                                <a type="button" class="btn btn-sm btn-outline-primary" href="/artwork/<%= artwork.idartwork %>">
                                                    <i class="fas fa-eye mx-1"></i>
                                                </a>

                                                <button onclick="deleteArtwork('<%= artwork.idartwork %>')" type="button" class="btn btn-sm btn-outline-danger"><i class="fas fa-trash-alt mx-1"></i></button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            <% }); %>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>

    </div>

</main>